You need to create an app in AppGallery Connect and apply for services corresponding to the passes.
Protocol |
HTTPS GET |
|---|---|
Direction |
Developer server -> Huawei server |
URL |
{url}/hmspass/v2/{cardType}/model/{modelId} Set the {url} variable based on the region where the server is located. For details, please refer to Wallet Server Addresses. |
Data Format |
Request: Content-Type: application/json Response: Content-Type: application/json |
Parameter |
Mandatory/Optional |
Type |
Description |
|---|---|---|---|
cardType |
Mandatory |
String |
Pass type. Set this parameter as required. For supported pass types, please refer to Other Passes Supported. |
modelId |
Mandatory |
String |
Unique identifier of a pass model. It must be unique across all models sharing the same appId. The value contains only letters, digits, dots (.), hyphens (-), and underscores (_). |
Request Header
Parameter |
Mandatory/Optional |
Type |
Description |
|---|---|---|---|
Authorization |
Mandatory |
String |
Authorization code. For details about how to obtain the value, please refer to the Client Credentials mode in OAuth 2.0-based Authentication. In this mode, client_id and client_secret are respectively the App ID and App key of the app that you created in AppGallery Connect. Concatenate the value of access_token to the end of Bearer, with a space in between, to generate the value of Authorization. |
Content-Type |
Mandatory |
String |
The value is always application/json;charset=utf-8. |
Accept |
Mandatory |
String |
The value is always application/json;charset=utf-8. |
GET /hmspass/v2/key_parkcard/model/class_parkcard_Test HTTP/1.1 Content-Type: application/json;charset=utf-8 Authorization: Bearer *** Accept: application/json;charset=utf-8 Host: wallet-passentrust-drcn.cloud.huawei.com.cn
When the result code is 200:
Parameter |
Type |
Description |
|---|---|---|
For details, please refer to the HwWalletObject Parameters. |
Pass model that is obtained based on modelId. |
HTTP/1.1 200 OK
Content-Type: application/json
{
"passVersion": "1.0",
"passTypeIdentifier": "hwpass.type.parkcard.test",
"passStyleIdentifier": "class_parkcard_Test",
"organizationName": "Huawei",
"fields": {
"countryCode": "CN",
"locationList": [
{
"longitude": "114.0679603815",
"latitude": "22.6592051284"
}
],
"commonFields": [
{
"key": "merchantName",
"value": "All-in-one cards for campuses",
"label": "name"
},
{
"key": "cardNumber",
"value": "2134121701"
},
{
"key": "merchantName",
"value": "Huawei",
"localizedValue": "merchantNameI18N"
},
{
"key": "backgroundImage",
"value": "https://xxxx/background.jpg"
},
{
"key": "logo",
"value": "https://xxxx/logo.jpg"
}
],
"appendFields": [
{
"key": "isCreateWhiteCard",
"value": "true",
"label": "NFCCardFlag"
}
],
"imageList": [
{
"key": "mainImage[0]",
"value": "https://www.huawei.com/XXX0.png"
},
{
"key": "mainImage[1]",
"value": "https://www.huawei.com/XXX1.png"
},
{
"key": "mainImage[2]",
"value": "https://www.huawei.com/XXX2.png"
}
],
"messageList": [
{
"key": "message[0]",
"value": "Welcome to the party!"
}
],
"timeList": [
{
"key": "startTime",
"value": "2020-01-22T09:20:00.083Z"
},
{
"key": "endTime",
"value": "2020-01-22T12:20:00.083Z"
}
],
"localized": [
{
"key": "merchantNameI18N",
"language": "zh-cn",
"value": "Huawei"
},
{
"key": "merchantNameI18N",
"language": "en",
"value": "Huawei"
}
]
}
}
public HwWalletObject getWalletModelByModelId(String url, String modelId) {
// Construct the HTTP header.
HttpHeaders header = constructHttpHeaders();
// Construct the HTTP URL.
String baseUrl = ConfigHelper.instants().getValue("walletServerBaseUrl");
String walletServerUrl = baseUrl + url + modelId;
// Send the HTTP request and obtain the response.
ResponseEntity<HwWalletObject> response =
REST_TEMPLATE.exchange(walletServerUrl, HttpMethod.GET, new HttpEntity(header), HwWalletObject.class);
// Return the wallet model with the corresponding model ID.
return response.getBody();
}